<?
include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/adm_check.php';
include_once '../sys/inc/user.php';
user_access('adm_panel_show',null,'index.php?'.SID);
adm_check();

$set['title']='Действия';
include_once '../sys/inc/thead.php';
title();
if(isset($_GET['del'])){
mysql_query("DELETE FROM `deistviya` WHERE `id`='".intval($_GET['del'])."'");

msg('Удалено');

}
if(isset($_GET['ok'])){
$name=mysql_real_escape_string($_POST['name']);
$cena=mysql_real_escape_string($_POST['cena']);
$nimg=mysql_real_escape_string($_POST['nimg']);
if (strlen2($name)<3)$err='Слишком короткое название';
if (strlen2($name)>32)$err='Слишком днинное название';
if (strlen2($cena)<3)$err='Цена не менее 100';
if (strlen2($nimg)<3)$err='Название картинки не менее 3 символов';
if(mysql_result(mysql_query("SELECT COUNT(*) FROM `deistviya` WHERE `name` = '$name'"),0)==1)$err='Такое действие уже есть';
if (!isset($err)){
mysql_query("INSERT INTO `deistviya` (`name`, `cena`, `nameimg`) values('$name', '$cena', '$nimg')");
msg('успешно');
}
}
err();
aut();
$q=mysql_query("SELECT * FROM `deistviya` ORDER BY `id` ASC");
echo "<table class='post'>";
if (mysql_num_rows($q)==0) {
echo "   <tr>\n";
echo "  <td class='p_t'>\n";
echo "Нет действий\n";
echo "  </td>\n";
echo "   </tr>\n";
}
while ($qq = mysql_fetch_assoc($q))
{
echo "<tr><td class='p_t'>";
echo "<img src='/sys/dimg/$qq[nameimg]'> $qq[name] <a href='?del=$qq[id]'>Удалить</a>";
echo "</td></tr>";




}
echo "</table>";
echo "<form method=\"post\" action=\"?ok\">\n";
echo "Название действия:<br />\n";
echo "<input name=\"name\" type=\"text\" maxlength='32' value='' /><br />\n";
echo "Цена действия:<br />\n";
echo "<input name=\"cena\" type=\"text\" maxlength='32' value='' /><br />\n";
echo "Название картинки(в папке /sys/dimg/):<br />\n";
echo "<input name=\"nimg\" type=\"text\" maxlength='32' value='имя.расширение' /><br />\n";

echo "<input value=\"Добавить\" type=\"submit\" /><br />\n";
echo "</form>\n";
if (user_access('adm_panel_show'))
echo "&laquo;<a href='/adm_panel/'>В админку</a><br />\n";
echo "</div>\n";

include_once '../sys/inc/tfoot.php';
?>